#!/usr/bin/env python
# -*- mode: landisk-python; coding: utf-8; -*-
# vim:ts=4 sw=4 sts=4 ai si et sta


class BaseAccessException(Exception):
    def __init__(self, detail=None, path=""):
        self.detail = detail
        self.path = path


class InternalError(BaseAccessException):
    pass


class NonDiffException(BaseAccessException):
    pass


class NoEntryError(BaseAccessException):
    pass


class NoSpaceError(BaseAccessException):
    pass


class ExistsError(BaseAccessException):
    pass


class PermissionError(BaseAccessException):
    pass


class NameTooLongError(BaseAccessException):
    pass


class SizeTooLargeError(BaseAccessException):
    pass


class NoRootEntryError(BaseAccessException):
    pass


class AuthenticationError(BaseAccessException):
    pass


class InvalidIdentifierError(AuthenticationError):
    pass


class InvalidPasswordError(AuthenticationError):
    pass


class TimedOutError(BaseAccessException):
    pass


class ModifiedInTransferring(BaseAccessException):
    pass


class InvalidFileSystemError(BaseAccessException):
    pass


class FileLockError(BaseAccessException):
    pass


class NonSupportedFileError(BaseAccessException):
    pass


class BusyError(BaseAccessException):
    pass